Subject: Re: bug#78520: 31.0.50; Performance issue in dired+isearch with dired-isearch-filenames

From: Michael Heerdegen <[email-masked]>
Date: Wed, 04 Jun 2025 04:06:28 +0200

Michael Heerdegen <[email-masked]> writes:

> But let me check for my local changes to the repo first.  Maybe there
> is a culprit.

Ok - good news: it was just that.  I had a pending fix for Bug#73018
that caused the bad performance.  Without it I see a very good performance.

> > Do we need more optimization for such rare cases?
> Not really worth it I think.

But if you want to give it a try, don't hesitate either.  If the user
happens to search for something like the user or group name in
file names, the behavior is annoying.  And a confusing surprise.
So even if it's a corner case, I think it could be worth trying to
improve this, given you have the time.

Michael.